package yangtz.cs.liu.campus.service.schoolgrade;

import com.baomidou.mybatisplus.extension.service.IService;
import yangtz.cs.liu.campus.domain.schoolgrade.SchoolGrade;
import yangtz.cs.liu.campus.domain.schoolgrade.SchoolGradeMentor;
import yangtz.cs.liu.campus.vo.schoolgrade.GradeTreeSelect;
import yangtz.cs.liu.campus.vo.schoolgrade.SchoolGradeMentorVo;
import yangtz.cs.liu.wechat.vo.schoolGrade.SchoolGradeVo;

import java.util.List;

public interface ISchoolGradeService extends IService<SchoolGrade> {

    List<SchoolGrade> queryList(SchoolGrade schoolGrade);

    Long getGradeId(Long userId);

    Long getMemberGrade(Long userId);

    //构建下拉树
    List<GradeTreeSelect> buildGradeTreeList(List<SchoolGrade> gradeList);

    int upgrade();
}
